Subject: Re: Configuration-Problem ext-interrupt on mpc52xx

From: David Gibson <[email-masked]>
Date: Thu, 20 Sep 2007 09:40:16 +1000

On Wed, Sep 19, 2007 at 09:01:46PM +0200, S. Fricke wrote:
> Hello,
> 
> > On 9/19/07, S. Fricke <[email-masked]> wrote:
> > > Hi,
> > >
> > > how can i configure an "ext interrupt" to high-level? I want a interruption on
> > > IRQ2, but I checked with an oscilloscope that the pin has a low state and I
> > > needs a high state.
> > >
> > > I have tried, after I got the irq (with irq_of_parse_and_map), set it with
> > >
> > >     set_irq_type(irq, IRQ_TYPE_LEVEL_HIGH);
> > >
> > > But I think it is a system-configuration (irq_desc) and no
> > > device-configuration.
> > 
> > You shouldn't need to do this.  You set your sense level in the device tree.
> > 
> > From your previous email, your device node looks like this:
> > >             intpin@0 {
> > >                 interrupt-parent = <500>;
> > >                 interrupts = <1 2 2>;
> > >             };
> > 
> > Which is IRQ2, EDGE_FALLING.
> > 
> > If you change your interrupts property to <1 2 0>, then your sense is
> > set to LEVEL_HIGH.  (Seriously, you need to read the interrupts
> > section of Documentation/powerpc/mpc52xx-device-tree-bindings.txt.)
> 
> I have read it! But another driver on Boot-time pulled my interrupt

Erm.. if the interrupt is shared with something else which expects a
different trigger/polarity, you're kind of stuffed....

> to low, I can't do anything except for looking at the oscilloscope
> 
> I'm going to disable all unneeded drivers tomorrow morning.
> 
> TIA:
> Silvio Fricke
> 

> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-dev

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson